Represents a media container for publishing an Instagram media object.
| Instagram API with Instagram Login | Instagram API with Facebook Login | |
|---|---|---|
Access Tokens |
| |
Host URL |
|
|
Login Type | Business Login for Instagram | Facebook Login for Business |
| Permissions |
|
If the app user was granted a role via the Business Manager on the Page connected to the targeted IG User, you will also need one of:
|
This operation is not supported.
GET <HOST_URL>/<IG_CONTAINER_ID>
Get fields and edges on an IG Container.
GET <HOST_URL>/<API_VERSION>/<IG_CONTAINER_ID> ?fields=<LIST_OF_FIELDS> &access_token=<ACCESS_TOKEN>
| Parameter | Value |
|---|---|
| The app user's User access token. |
| A comma-separated list of fields and edges you want returned. If omitted, default fields will be returned. |
| Field Name | Description |
|---|---|
| Used to determine if an uploaded video is violating copyright. Key-values pairs return include:
|
| Instagram Container ID, represented in code examples as |
| Publishing status. If |
| The container's publishing status. Possible values:
|
There are no edges on this node.
A JSON-formatted object containing default and requested fields.
{
"<FIELD>":"<VALUE>",
...
}curl -X GET \ 'https://graph.instagram.com/17889615691921648?fields=status_code&access_token=IGQVJ...'
{
"status_code": "FINISHED",
"id": "17889615691921648"
}This operation is not supported.
This operation is not supported.